Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network84.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
84.0.0.0
Broadcast address
84.127.255.255
First usable
84.0.0.1
Last usable
84.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 54000000 · Integer 1409286144 to 1417674751
Reverse DNS zones
0.84.in-addr.arpa
1.84.in-addr.arpa
2.84.in-addr.arpa
3.84.in-addr.arpa
4.84.in-addr.arpa
5.84.in-addr.arpa
6.84.in-addr.arpa
7.84.in-addr.arpa
8.84.in-addr.arpa
9.84.in-addr.arpa
10.84.in-addr.arpa
11.84.in-addr.arpa
12.84.in-addr.arpa
13.84.in-addr.arpa
14.84.in-addr.arpa
15.84.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010100.00000000.00000000.0000000084.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01010100.00000000.00000000.0000000084.0.0.0
Broadcast01010100.01111111.11111111.1111111184.127.255.255
Split into smaller subnets/18

84.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
184.0.0.0/1884.0.0.1 to 84.0.63.25484.0.63.25516,382
284.0.64.0/1884.0.64.1 to 84.0.127.25484.0.127.25516,382
384.0.128.0/1884.0.128.1 to 84.0.191.25484.0.191.25516,382
484.0.192.0/1884.0.192.1 to 84.0.255.25484.0.255.25516,382
584.1.0.0/1884.1.0.1 to 84.1.63.25484.1.63.25516,382
684.1.64.0/1884.1.64.1 to 84.1.127.25484.1.127.25516,382
784.1.128.0/1884.1.128.1 to 84.1.191.25484.1.191.25516,382
884.1.192.0/1884.1.192.1 to 84.1.255.25484.1.255.25516,382
984.2.0.0/1884.2.0.1 to 84.2.63.25484.2.63.25516,382
1084.2.64.0/1884.2.64.1 to 84.2.127.25484.2.127.25516,382
1184.2.128.0/1884.2.128.1 to 84.2.191.25484.2.191.25516,382
1284.2.192.0/1884.2.192.1 to 84.2.255.25484.2.255.25516,382
1384.3.0.0/1884.3.0.1 to 84.3.63.25484.3.63.25516,382
1484.3.64.0/1884.3.64.1 to 84.3.127.25484.3.127.25516,382
1584.3.128.0/1884.3.128.1 to 84.3.191.25484.3.191.25516,382
1684.3.192.0/1884.3.192.1 to 84.3.255.25484.3.255.25516,382
1784.4.0.0/1884.4.0.1 to 84.4.63.25484.4.63.25516,382
1884.4.64.0/1884.4.64.1 to 84.4.127.25484.4.127.25516,382
1984.4.128.0/1884.4.128.1 to 84.4.191.25484.4.191.25516,382
2084.4.192.0/1884.4.192.1 to 84.4.255.25484.4.255.25516,382
2184.5.0.0/1884.5.0.1 to 84.5.63.25484.5.63.25516,382
2284.5.64.0/1884.5.64.1 to 84.5.127.25484.5.127.25516,382
2384.5.128.0/1884.5.128.1 to 84.5.191.25484.5.191.25516,382
2484.5.192.0/1884.5.192.1 to 84.5.255.25484.5.255.25516,382
2584.6.0.0/1884.6.0.1 to 84.6.63.25484.6.63.25516,382
2684.6.64.0/1884.6.64.1 to 84.6.127.25484.6.127.25516,382
2784.6.128.0/1884.6.128.1 to 84.6.191.25484.6.191.25516,382
2884.6.192.0/1884.6.192.1 to 84.6.255.25484.6.255.25516,382
2984.7.0.0/1884.7.0.1 to 84.7.63.25484.7.63.25516,382
3084.7.64.0/1884.7.64.1 to 84.7.127.25484.7.127.25516,382
3184.7.128.0/1884.7.128.1 to 84.7.191.25484.7.191.25516,382
3284.7.192.0/1884.7.192.1 to 84.7.255.25484.7.255.25516,382
3384.8.0.0/1884.8.0.1 to 84.8.63.25484.8.63.25516,382
3484.8.64.0/1884.8.64.1 to 84.8.127.25484.8.127.25516,382
3584.8.128.0/1884.8.128.1 to 84.8.191.25484.8.191.25516,382
3684.8.192.0/1884.8.192.1 to 84.8.255.25484.8.255.25516,382
3784.9.0.0/1884.9.0.1 to 84.9.63.25484.9.63.25516,382
3884.9.64.0/1884.9.64.1 to 84.9.127.25484.9.127.25516,382
3984.9.128.0/1884.9.128.1 to 84.9.191.25484.9.191.25516,382
4084.9.192.0/1884.9.192.1 to 84.9.255.25484.9.255.25516,382
4184.10.0.0/1884.10.0.1 to 84.10.63.25484.10.63.25516,382
4284.10.64.0/1884.10.64.1 to 84.10.127.25484.10.127.25516,382
4384.10.128.0/1884.10.128.1 to 84.10.191.25484.10.191.25516,382
4484.10.192.0/1884.10.192.1 to 84.10.255.25484.10.255.25516,382
4584.11.0.0/1884.11.0.1 to 84.11.63.25484.11.63.25516,382
4684.11.64.0/1884.11.64.1 to 84.11.127.25484.11.127.25516,382
4784.11.128.0/1884.11.128.1 to 84.11.191.25484.11.191.25516,382
4884.11.192.0/1884.11.192.1 to 84.11.255.25484.11.255.25516,382
4984.12.0.0/1884.12.0.1 to 84.12.63.25484.12.63.25516,382
5084.12.64.0/1884.12.64.1 to 84.12.127.25484.12.127.25516,382
5184.12.128.0/1884.12.128.1 to 84.12.191.25484.12.191.25516,382
5284.12.192.0/1884.12.192.1 to 84.12.255.25484.12.255.25516,382
5384.13.0.0/1884.13.0.1 to 84.13.63.25484.13.63.25516,382
5484.13.64.0/1884.13.64.1 to 84.13.127.25484.13.127.25516,382
5584.13.128.0/1884.13.128.1 to 84.13.191.25484.13.191.25516,382
5684.13.192.0/1884.13.192.1 to 84.13.255.25484.13.255.25516,382
5784.14.0.0/1884.14.0.1 to 84.14.63.25484.14.63.25516,382
5884.14.64.0/1884.14.64.1 to 84.14.127.25484.14.127.25516,382
5984.14.128.0/1884.14.128.1 to 84.14.191.25484.14.191.25516,382
6084.14.192.0/1884.14.192.1 to 84.14.255.25484.14.255.25516,382
6184.15.0.0/1884.15.0.1 to 84.15.63.25484.15.63.25516,382
6284.15.64.0/1884.15.64.1 to 84.15.127.25484.15.127.25516,382
6384.15.128.0/1884.15.128.1 to 84.15.191.25484.15.191.25516,382
6484.15.192.0/1884.15.192.1 to 84.15.255.25484.15.255.25516,382
6584.16.0.0/1884.16.0.1 to 84.16.63.25484.16.63.25516,382
6684.16.64.0/1884.16.64.1 to 84.16.127.25484.16.127.25516,382
6784.16.128.0/1884.16.128.1 to 84.16.191.25484.16.191.25516,382
6884.16.192.0/1884.16.192.1 to 84.16.255.25484.16.255.25516,382
6984.17.0.0/1884.17.0.1 to 84.17.63.25484.17.63.25516,382
7084.17.64.0/1884.17.64.1 to 84.17.127.25484.17.127.25516,382
7184.17.128.0/1884.17.128.1 to 84.17.191.25484.17.191.25516,382
7284.17.192.0/1884.17.192.1 to 84.17.255.25484.17.255.25516,382
7384.18.0.0/1884.18.0.1 to 84.18.63.25484.18.63.25516,382
7484.18.64.0/1884.18.64.1 to 84.18.127.25484.18.127.25516,382
7584.18.128.0/1884.18.128.1 to 84.18.191.25484.18.191.25516,382
7684.18.192.0/1884.18.192.1 to 84.18.255.25484.18.255.25516,382
7784.19.0.0/1884.19.0.1 to 84.19.63.25484.19.63.25516,382
7884.19.64.0/1884.19.64.1 to 84.19.127.25484.19.127.25516,382
7984.19.128.0/1884.19.128.1 to 84.19.191.25484.19.191.25516,382
8084.19.192.0/1884.19.192.1 to 84.19.255.25484.19.255.25516,382
8184.20.0.0/1884.20.0.1 to 84.20.63.25484.20.63.25516,382
8284.20.64.0/1884.20.64.1 to 84.20.127.25484.20.127.25516,382
8384.20.128.0/1884.20.128.1 to 84.20.191.25484.20.191.25516,382
8484.20.192.0/1884.20.192.1 to 84.20.255.25484.20.255.25516,382
8584.21.0.0/1884.21.0.1 to 84.21.63.25484.21.63.25516,382
8684.21.64.0/1884.21.64.1 to 84.21.127.25484.21.127.25516,382
8784.21.128.0/1884.21.128.1 to 84.21.191.25484.21.191.25516,382
8884.21.192.0/1884.21.192.1 to 84.21.255.25484.21.255.25516,382
8984.22.0.0/1884.22.0.1 to 84.22.63.25484.22.63.25516,382
9084.22.64.0/1884.22.64.1 to 84.22.127.25484.22.127.25516,382
9184.22.128.0/1884.22.128.1 to 84.22.191.25484.22.191.25516,382
9284.22.192.0/1884.22.192.1 to 84.22.255.25484.22.255.25516,382
9384.23.0.0/1884.23.0.1 to 84.23.63.25484.23.63.25516,382
9484.23.64.0/1884.23.64.1 to 84.23.127.25484.23.127.25516,382
9584.23.128.0/1884.23.128.1 to 84.23.191.25484.23.191.25516,382
9684.23.192.0/1884.23.192.1 to 84.23.255.25484.23.255.25516,382
9784.24.0.0/1884.24.0.1 to 84.24.63.25484.24.63.25516,382
9884.24.64.0/1884.24.64.1 to 84.24.127.25484.24.127.25516,382
9984.24.128.0/1884.24.128.1 to 84.24.191.25484.24.191.25516,382
10084.24.192.0/1884.24.192.1 to 84.24.255.25484.24.255.25516,382
10184.25.0.0/1884.25.0.1 to 84.25.63.25484.25.63.25516,382
10284.25.64.0/1884.25.64.1 to 84.25.127.25484.25.127.25516,382
10384.25.128.0/1884.25.128.1 to 84.25.191.25484.25.191.25516,382
10484.25.192.0/1884.25.192.1 to 84.25.255.25484.25.255.25516,382
10584.26.0.0/1884.26.0.1 to 84.26.63.25484.26.63.25516,382
10684.26.64.0/1884.26.64.1 to 84.26.127.25484.26.127.25516,382
10784.26.128.0/1884.26.128.1 to 84.26.191.25484.26.191.25516,382
10884.26.192.0/1884.26.192.1 to 84.26.255.25484.26.255.25516,382
10984.27.0.0/1884.27.0.1 to 84.27.63.25484.27.63.25516,382
11084.27.64.0/1884.27.64.1 to 84.27.127.25484.27.127.25516,382
11184.27.128.0/1884.27.128.1 to 84.27.191.25484.27.191.25516,382
11284.27.192.0/1884.27.192.1 to 84.27.255.25484.27.255.25516,382
11384.28.0.0/1884.28.0.1 to 84.28.63.25484.28.63.25516,382
11484.28.64.0/1884.28.64.1 to 84.28.127.25484.28.127.25516,382
11584.28.128.0/1884.28.128.1 to 84.28.191.25484.28.191.25516,382
11684.28.192.0/1884.28.192.1 to 84.28.255.25484.28.255.25516,382
11784.29.0.0/1884.29.0.1 to 84.29.63.25484.29.63.25516,382
11884.29.64.0/1884.29.64.1 to 84.29.127.25484.29.127.25516,382
11984.29.128.0/1884.29.128.1 to 84.29.191.25484.29.191.25516,382
12084.29.192.0/1884.29.192.1 to 84.29.255.25484.29.255.25516,382
12184.30.0.0/1884.30.0.1 to 84.30.63.25484.30.63.25516,382
12284.30.64.0/1884.30.64.1 to 84.30.127.25484.30.127.25516,382
12384.30.128.0/1884.30.128.1 to 84.30.191.25484.30.191.25516,382
12484.30.192.0/1884.30.192.1 to 84.30.255.25484.30.255.25516,382
12584.31.0.0/1884.31.0.1 to 84.31.63.25484.31.63.25516,382
12684.31.64.0/1884.31.64.1 to 84.31.127.25484.31.127.25516,382
12784.31.128.0/1884.31.128.1 to 84.31.191.25484.31.191.25516,382
12884.31.192.0/1884.31.192.1 to 84.31.255.25484.31.255.25516,382
12984.32.0.0/1884.32.0.1 to 84.32.63.25484.32.63.25516,382
13084.32.64.0/1884.32.64.1 to 84.32.127.25484.32.127.25516,382
13184.32.128.0/1884.32.128.1 to 84.32.191.25484.32.191.25516,382
13284.32.192.0/1884.32.192.1 to 84.32.255.25484.32.255.25516,382
13384.33.0.0/1884.33.0.1 to 84.33.63.25484.33.63.25516,382
13484.33.64.0/1884.33.64.1 to 84.33.127.25484.33.127.25516,382
13584.33.128.0/1884.33.128.1 to 84.33.191.25484.33.191.25516,382
13684.33.192.0/1884.33.192.1 to 84.33.255.25484.33.255.25516,382
13784.34.0.0/1884.34.0.1 to 84.34.63.25484.34.63.25516,382
13884.34.64.0/1884.34.64.1 to 84.34.127.25484.34.127.25516,382
13984.34.128.0/1884.34.128.1 to 84.34.191.25484.34.191.25516,382
14084.34.192.0/1884.34.192.1 to 84.34.255.25484.34.255.25516,382
14184.35.0.0/1884.35.0.1 to 84.35.63.25484.35.63.25516,382
14284.35.64.0/1884.35.64.1 to 84.35.127.25484.35.127.25516,382
14384.35.128.0/1884.35.128.1 to 84.35.191.25484.35.191.25516,382
14484.35.192.0/1884.35.192.1 to 84.35.255.25484.35.255.25516,382
14584.36.0.0/1884.36.0.1 to 84.36.63.25484.36.63.25516,382
14684.36.64.0/1884.36.64.1 to 84.36.127.25484.36.127.25516,382
14784.36.128.0/1884.36.128.1 to 84.36.191.25484.36.191.25516,382
14884.36.192.0/1884.36.192.1 to 84.36.255.25484.36.255.25516,382
14984.37.0.0/1884.37.0.1 to 84.37.63.25484.37.63.25516,382
15084.37.64.0/1884.37.64.1 to 84.37.127.25484.37.127.25516,382
15184.37.128.0/1884.37.128.1 to 84.37.191.25484.37.191.25516,382
15284.37.192.0/1884.37.192.1 to 84.37.255.25484.37.255.25516,382
15384.38.0.0/1884.38.0.1 to 84.38.63.25484.38.63.25516,382
15484.38.64.0/1884.38.64.1 to 84.38.127.25484.38.127.25516,382
15584.38.128.0/1884.38.128.1 to 84.38.191.25484.38.191.25516,382
15684.38.192.0/1884.38.192.1 to 84.38.255.25484.38.255.25516,382
15784.39.0.0/1884.39.0.1 to 84.39.63.25484.39.63.25516,382
15884.39.64.0/1884.39.64.1 to 84.39.127.25484.39.127.25516,382
15984.39.128.0/1884.39.128.1 to 84.39.191.25484.39.191.25516,382
16084.39.192.0/1884.39.192.1 to 84.39.255.25484.39.255.25516,382
16184.40.0.0/1884.40.0.1 to 84.40.63.25484.40.63.25516,382
16284.40.64.0/1884.40.64.1 to 84.40.127.25484.40.127.25516,382
16384.40.128.0/1884.40.128.1 to 84.40.191.25484.40.191.25516,382
16484.40.192.0/1884.40.192.1 to 84.40.255.25484.40.255.25516,382
16584.41.0.0/1884.41.0.1 to 84.41.63.25484.41.63.25516,382
16684.41.64.0/1884.41.64.1 to 84.41.127.25484.41.127.25516,382
16784.41.128.0/1884.41.128.1 to 84.41.191.25484.41.191.25516,382
16884.41.192.0/1884.41.192.1 to 84.41.255.25484.41.255.25516,382
16984.42.0.0/1884.42.0.1 to 84.42.63.25484.42.63.25516,382
17084.42.64.0/1884.42.64.1 to 84.42.127.25484.42.127.25516,382
17184.42.128.0/1884.42.128.1 to 84.42.191.25484.42.191.25516,382
17284.42.192.0/1884.42.192.1 to 84.42.255.25484.42.255.25516,382
17384.43.0.0/1884.43.0.1 to 84.43.63.25484.43.63.25516,382
17484.43.64.0/1884.43.64.1 to 84.43.127.25484.43.127.25516,382
17584.43.128.0/1884.43.128.1 to 84.43.191.25484.43.191.25516,382
17684.43.192.0/1884.43.192.1 to 84.43.255.25484.43.255.25516,382
17784.44.0.0/1884.44.0.1 to 84.44.63.25484.44.63.25516,382
17884.44.64.0/1884.44.64.1 to 84.44.127.25484.44.127.25516,382
17984.44.128.0/1884.44.128.1 to 84.44.191.25484.44.191.25516,382
18084.44.192.0/1884.44.192.1 to 84.44.255.25484.44.255.25516,382
18184.45.0.0/1884.45.0.1 to 84.45.63.25484.45.63.25516,382
18284.45.64.0/1884.45.64.1 to 84.45.127.25484.45.127.25516,382
18384.45.128.0/1884.45.128.1 to 84.45.191.25484.45.191.25516,382
18484.45.192.0/1884.45.192.1 to 84.45.255.25484.45.255.25516,382
18584.46.0.0/1884.46.0.1 to 84.46.63.25484.46.63.25516,382
18684.46.64.0/1884.46.64.1 to 84.46.127.25484.46.127.25516,382
18784.46.128.0/1884.46.128.1 to 84.46.191.25484.46.191.25516,382
18884.46.192.0/1884.46.192.1 to 84.46.255.25484.46.255.25516,382
18984.47.0.0/1884.47.0.1 to 84.47.63.25484.47.63.25516,382
19084.47.64.0/1884.47.64.1 to 84.47.127.25484.47.127.25516,382
19184.47.128.0/1884.47.128.1 to 84.47.191.25484.47.191.25516,382
19284.47.192.0/1884.47.192.1 to 84.47.255.25484.47.255.25516,382
19384.48.0.0/1884.48.0.1 to 84.48.63.25484.48.63.25516,382
19484.48.64.0/1884.48.64.1 to 84.48.127.25484.48.127.25516,382
19584.48.128.0/1884.48.128.1 to 84.48.191.25484.48.191.25516,382
19684.48.192.0/1884.48.192.1 to 84.48.255.25484.48.255.25516,382
19784.49.0.0/1884.49.0.1 to 84.49.63.25484.49.63.25516,382
19884.49.64.0/1884.49.64.1 to 84.49.127.25484.49.127.25516,382
19984.49.128.0/1884.49.128.1 to 84.49.191.25484.49.191.25516,382
20084.49.192.0/1884.49.192.1 to 84.49.255.25484.49.255.25516,382
20184.50.0.0/1884.50.0.1 to 84.50.63.25484.50.63.25516,382
20284.50.64.0/1884.50.64.1 to 84.50.127.25484.50.127.25516,382
20384.50.128.0/1884.50.128.1 to 84.50.191.25484.50.191.25516,382
20484.50.192.0/1884.50.192.1 to 84.50.255.25484.50.255.25516,382
20584.51.0.0/1884.51.0.1 to 84.51.63.25484.51.63.25516,382
20684.51.64.0/1884.51.64.1 to 84.51.127.25484.51.127.25516,382
20784.51.128.0/1884.51.128.1 to 84.51.191.25484.51.191.25516,382
20884.51.192.0/1884.51.192.1 to 84.51.255.25484.51.255.25516,382
20984.52.0.0/1884.52.0.1 to 84.52.63.25484.52.63.25516,382
21084.52.64.0/1884.52.64.1 to 84.52.127.25484.52.127.25516,382
21184.52.128.0/1884.52.128.1 to 84.52.191.25484.52.191.25516,382
21284.52.192.0/1884.52.192.1 to 84.52.255.25484.52.255.25516,382
21384.53.0.0/1884.53.0.1 to 84.53.63.25484.53.63.25516,382
21484.53.64.0/1884.53.64.1 to 84.53.127.25484.53.127.25516,382
21584.53.128.0/1884.53.128.1 to 84.53.191.25484.53.191.25516,382
21684.53.192.0/1884.53.192.1 to 84.53.255.25484.53.255.25516,382
21784.54.0.0/1884.54.0.1 to 84.54.63.25484.54.63.25516,382
21884.54.64.0/1884.54.64.1 to 84.54.127.25484.54.127.25516,382
21984.54.128.0/1884.54.128.1 to 84.54.191.25484.54.191.25516,382
22084.54.192.0/1884.54.192.1 to 84.54.255.25484.54.255.25516,382
22184.55.0.0/1884.55.0.1 to 84.55.63.25484.55.63.25516,382
22284.55.64.0/1884.55.64.1 to 84.55.127.25484.55.127.25516,382
22384.55.128.0/1884.55.128.1 to 84.55.191.25484.55.191.25516,382
22484.55.192.0/1884.55.192.1 to 84.55.255.25484.55.255.25516,382
22584.56.0.0/1884.56.0.1 to 84.56.63.25484.56.63.25516,382
22684.56.64.0/1884.56.64.1 to 84.56.127.25484.56.127.25516,382
22784.56.128.0/1884.56.128.1 to 84.56.191.25484.56.191.25516,382
22884.56.192.0/1884.56.192.1 to 84.56.255.25484.56.255.25516,382
22984.57.0.0/1884.57.0.1 to 84.57.63.25484.57.63.25516,382
23084.57.64.0/1884.57.64.1 to 84.57.127.25484.57.127.25516,382
23184.57.128.0/1884.57.128.1 to 84.57.191.25484.57.191.25516,382
23284.57.192.0/1884.57.192.1 to 84.57.255.25484.57.255.25516,382
23384.58.0.0/1884.58.0.1 to 84.58.63.25484.58.63.25516,382
23484.58.64.0/1884.58.64.1 to 84.58.127.25484.58.127.25516,382
23584.58.128.0/1884.58.128.1 to 84.58.191.25484.58.191.25516,382
23684.58.192.0/1884.58.192.1 to 84.58.255.25484.58.255.25516,382
23784.59.0.0/1884.59.0.1 to 84.59.63.25484.59.63.25516,382
23884.59.64.0/1884.59.64.1 to 84.59.127.25484.59.127.25516,382
23984.59.128.0/1884.59.128.1 to 84.59.191.25484.59.191.25516,382
24084.59.192.0/1884.59.192.1 to 84.59.255.25484.59.255.25516,382
24184.60.0.0/1884.60.0.1 to 84.60.63.25484.60.63.25516,382
24284.60.64.0/1884.60.64.1 to 84.60.127.25484.60.127.25516,382
24384.60.128.0/1884.60.128.1 to 84.60.191.25484.60.191.25516,382
24484.60.192.0/1884.60.192.1 to 84.60.255.25484.60.255.25516,382
24584.61.0.0/1884.61.0.1 to 84.61.63.25484.61.63.25516,382
24684.61.64.0/1884.61.64.1 to 84.61.127.25484.61.127.25516,382
24784.61.128.0/1884.61.128.1 to 84.61.191.25484.61.191.25516,382
24884.61.192.0/1884.61.192.1 to 84.61.255.25484.61.255.25516,382
24984.62.0.0/1884.62.0.1 to 84.62.63.25484.62.63.25516,382
25084.62.64.0/1884.62.64.1 to 84.62.127.25484.62.127.25516,382
25184.62.128.0/1884.62.128.1 to 84.62.191.25484.62.191.25516,382
25284.62.192.0/1884.62.192.1 to 84.62.255.25484.62.255.25516,382
25384.63.0.0/1884.63.0.1 to 84.63.63.25484.63.63.25516,382
25484.63.64.0/1884.63.64.1 to 84.63.127.25484.63.127.25516,382
25584.63.128.0/1884.63.128.1 to 84.63.191.25484.63.191.25516,382
25684.63.192.0/1884.63.192.1 to 84.63.255.25484.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses